liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::PieProperties Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
| PieProperties ()

## Public Attributes
bool | clockwiseRotation
unsigned long | displacedSectionCount
unsigned short | displacement
unsigned short | distance
bool | formatAutomatic
bool | formatCategories
bool | formatPercentages
bool | formatValues
unsigned short | horizontalOffset
bool | positionAssociate
unsigned short | radius
short | rotation
unsigned char | thickness
unsigned char | viewAngle

## Constructor & Destructor Documentation

## ◆ PieProperties()

Origin::PieProperties::PieProperties | ( |  | ) |
| inline

## Member Data Documentation

## ◆ clockwiseRotation

bool Origin::PieProperties::clockwiseRotation

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ displacedSectionCount

unsigned long Origin::PieProperties::displacedSectionCount

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ displacement

unsigned short Origin::PieProperties::displacement

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ distance

unsigned short Origin::PieProperties::distance

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ formatAutomatic

bool Origin::PieProperties::formatAutomatic

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ formatCategories

bool Origin::PieProperties::formatCategories

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ formatPercentages

bool Origin::PieProperties::formatPercentages

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ formatValues

bool Origin::PieProperties::formatValues

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ horizontalOffset

unsigned short Origin::PieProperties::horizontalOffset

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ positionAssociate

bool Origin::PieProperties::positionAssociate

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ radius

unsigned short Origin::PieProperties::radius

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ rotation

short Origin::PieProperties::rotation

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ thickness

unsigned char Origin::PieProperties::thickness

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ viewAngle

unsigned char Origin::PieProperties::viewAngle

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h